- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub Class Reference

`#include <MR_callback_stub.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub:

[legend]
List of all members.

## Public Member Functions
| MR_callback_stub ()
void | post_mode_estimate (Mers::Utils::Containers::intList const &updated_mode_estimate)
void | post_full_state (Mers::Utils::Containers::intList const &full_mode_estimate)
virtual void | post_observation (unsigned int varUID, unsigned int valUID)
void | process_next_control_cmd (Mers::Utils::Containers::intList const &commands)

## Detailed Description

A simple (dummy) class implementing the MR_callback interface

Author:
  Andreas F. Wehowsky

  Paul H. Elliott

Definition at line 36 of file MR_callback_stub.h.

## Member Function Documentation

void Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub::post_mode_estimate | ( | Mers::Utils::Containers::intList const & | updated_mode_estimate | ) | `[inline, virtual]`

The ME dispatcher will call this function with the results of the last state estimate. Those states that have changed will be posted, and possibly some that have not. The data takes the form (VariableUID_0, ValueUID_0, VariableUID_1, ValueUID_1, ...).

Parameters:

  | updated_mode_estimate | The set of modes that have new values. Contains pairs of UIDs, (VariableUID = ValueUID).

Implements Mers::Executives::DeductiveController::Rtapi::RTAPICallback.

Definition at line 45 of file MR_callback_stub.h.

void Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub::post_full_state | ( | Mers::Utils::Containers::intList const & | full_mode_estimate | ) | `[inline, virtual]`

The ME dispatcher will call this function with the results of the last state estimate. The estimate for every state is included. The data takes the form (VariableUID_0, ValueUID_0, VariableUID_1, ValueUID_1, ...).

Parameters:

  | full_mode_estimate | The set of modes that have new values. Contains pairs of UIDs, (VariableUID = ValueUID).

Implements Mers::Executives::DeductiveController::Rtapi::RTAPICallback.

Definition at line 51 of file MR_callback_stub.h.

virtual void Mers::Executives::DeductiveController::Rtapi::MR::Stub::MR_callback_stub::post_observation | ( | unsigned int | varUID,
|  | unsigned int | valUID |
| ) |  |  | `[inline, virtual]`

The ME dispatcher will call this function with any observations or commands received. They represent the best know state for each observable and commandable variable.

Parameters:

  | varUID | The variable UID of the variable being updated.
  | valUID | The value UID of the value of the variable being updated.

Implements Mers::Executives::DeductiveController::Rtapi::RTAPICallback.

Definition at line 63 of file MR_callback_stub.h.

void MR_callback_stub::process_next_control_cmd | ( | Mers::Utils::Containers::intList const & | commands | ) | `[virtual]`

The MR RTAPI will call this function with the next command that should be issued.

Parameters:

  | commands | The command that should be issued. This list takes one of four forms: {0}: Indicates that no command is necessary, the goal has already been reached. {1}: Indicates that no command can be issued, an observable event must occur first. {1, VarUID, ValUID}: Indicates that the command (VarUID = ValUID) should be issued next. {2}: Indicates that the request goal cannot be achieved.

Implements Mers::Executives::DeductiveController::Rtapi::RTAPICallback.

Definition at line 25 of file MR_callback_stub.cpp.

References Mers::Utils::Containers::intList::begin(), and Mers::Utils::Containers::intList::front().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/MR/Stub/MR_callback_stub.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/MR/Stub/MR_callback_stub.cpp